Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OptionFormField Class Reference

Generator for option form fields. More...

Inheritance diagram for OptionFormField:

[legend]
Collaboration diagram for OptionFormField:

[legend]
List of all members.

## Setup/Initialization
| OptionFormField ($Name, $IsRequired, $Label, $Length, $Options, $ValidFunc=NULL, $ValidMsgs=NULL)
| Object constructor.
## Accessors
| Length ($NewVal=NULL)
| Get or set the length of the display field.
| Options ($NewVal=NULL)
| Get or set the list of options displayed by this field.
## Display
| PrintInput ($DisplayErrorIndicator=FALSE)
| Generate HTML representing this object.

## Detailed Description

Generator for option form fields.

Definition at line 8 of file OptionFormField.php.

## Member Function Documentation

OptionFormField::Length | ( | $ | NewVal = `NULL` | ) |

Get or set the length of the display field.

Parameters:

  | NewVal | (OPTIONAL)

Returns:
  Current length

Definition at line 44 of file OptionFormField.php.

OptionFormField::OptionFormField | ( | $ | Name,
|  | $ | IsRequired,
|  | $ | Label,
|  | $ | Length,
|  | $ | Options,
|  | $ | ValidFunc = `NULL`,
|  | $ | ValidMsgs = `NULL` |
| ) |  |  |

Object constructor.

Parameters:

  | Name | Internal name for this option, used for html id=
  | IsRequired |
  | Label | Display label, shown to user in generated html
  | Length | Maximum length allowed
  | Options | Names of the options in this group, an array
  | ValidFunc | Function to check the validity of this field
  | ValidMsgs | Error messages associated with error codes from ValidFunc

Definition at line 25 of file OptionFormField.php.

References FormField::FormField().

OptionFormField::Options | ( | $ | NewVal = `NULL` | ) |

Get or set the list of options displayed by this field.

Parameters:

  | NewVal | An array of strings to use for option names (OPTIONAL)

Returns:
  Current list of options

Definition at line 51 of file OptionFormField.php.

OptionFormField::PrintInput | ( | $ | DisplayErrorIndicator = `FALSE` | ) |

Generate HTML representing this object.

Parameters:

  | DisplayErrorIndicator | (OPTIONAL)

Definition at line 62 of file OptionFormField.php.

References FormField::Value().

The documentation for this class was generated from the following file:

- OptionFormField.php